- name: configure network (static)
  command: "nmcli connection modify {{ hostvars[inventory_hostname]['ansible_default_ipv4']['alias'] }} ipv4.method manual ipv4.addresses {{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }}/24 gw4 {{ hostvars[inventory_hostname]['ansible_default_ipv4']['gateway'] }} ipv4.dns {{ hostvars[inventory_hostname]['ansible_default_ipv4']['gateway'] }}"
  become: yes

- name: restart network manager service
  systemd:
    name: NetworkManager
    enabled: yes
    state: restarted
  become: yes

- name: set hostname
  hostname:
    name: "{{ hostname }}.{{ domain }}"
  become: yes

- name: add local host settings
  lineinfile:
    path: /etc/hosts
    line: "{{ hostvars[inventory_hostname]['ansible_default_ipv4']['address'] }} {{ hostname }}.{{ domain }} {{ hostname }}"
  become: yes

- name: stop and disable firewalld service
  systemd:
    name: firewalld
    enabled: no
    state: stopped
  become: yes

- name: disable selinux
  selinux:
    state: disabled
  become: yes

# - name: reboot
#   reboot:
#   become: yes

# - name: wait_for_connection
#   wait_for_connection:
